SDL_vswprintf(3)

NAME
SDL_vswprintf - This works exactly like vswprintf() but doesn't require access to a C runtime.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_vswprintf(wchar_t *text, size_t maxlen, const wchar_t *fmt, va_list ap);

DESCRIPTION
Functions identically to SDL_swprintf (), except it takes a va_list instead of using ... variable arguments.

FUNCTION PARAMETERS

text
    the buffer to write the string into. Must not be NULL.

maxlen
    the maximum wide characters to write, including the null-terminator.

fmt a printf-style format wide string. Must not be NULL.

ap  a va_list values to be used with the format string.

RETURN VALUE
Returns the number of wide characters that should be written, not counting the null-terminator char, or a negative value on error.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.